@charset "utf-8";

/* 幅が768以上の時 */
@media (min-width: 768px) {
    .shop_labels.pc {
        display: flex;
    }
    .shop_labels.sp {
        display: none;
    }
    /* @SC 2025/10/28 #10495 お気に入りボタン デザイン変更 */
    .shop_labels.pc .favorite-text {
        color: #fff;
    }
    /* @SC 2025/10/28 #10495 お気に入りボタン デザイン変更 */

    .shop_contents {
        display: grid;
        grid-template-columns: 2fr 3fr;
    }

    .contacts .contact {
        height: 60px !important;
    }
}

/* 幅が767以下の時 */
@media (max-width: 767px) {
    .shop_labels.pc {
        display: none;
    }

    .shop_labels.sp {
        display: flex;
        margin: 0.2em 0;
    }

    .shop_labels.sp:has(.hyakumeiten_icon),
    /* ↓ 店舗検索アイコン追加 @SC 2026/01/15 */
    .shop_labels.sp:has(.free_ticket_icon) {
    /* ↑ 店舗検索アイコン追加 @SC 2026/01/15 */
        justify-content: space-between;
    }

    .shop_labels.sp .hyakumeiten_icon,
    /* ↓ 店舗検索アイコン追加 @SC 2026/01/15 */
    .shop_labels.sp .free_ticket_icon {
    /* ↑ 店舗検索アイコン追加 @SC 2026/01/15 */
        margin-left: 6px;
    }

    /* ↓ 店舗検索アイコン追加 @SC 2026/01/15 */
    .shop_labels.sp:has(.hyakumeiten_icon, .free_ticket_icon) {
        display: flex;
        justify-content: space-between;
    }

    .shop_labels.sp:has(.hyakumeiten_icon):has(.free_ticket_icon) .shop_icons {
        display: flex;
        gap: 0;
    }
    /* ↑ 店舗検索アイコン追加 @SC 2026/01/15 */

    .js-girl_list .girl_img_box {
        padding: 0 1em;
    }

    .contacts .contact {
        height: 50px !important;
    }

    .shop_details {
        padding: 0 1em;
    }

    .shop_details .contacts {
        padding: unset;
    }

    .shop_details .sns_icon {
        padding: unset;
    }

    .shop_details .shop_info {
        padding: 6px 0;
    }

    .shop_other {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .shop_other .shop_labels.sp a {
        text-decoration: underline;
        text-decoration-color: #fff; 
    }
}

.shop {
    background-color: #fff;
}

.tab_ber {
    display: grid;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px;
    background-color: #a01b1f;
    color: #fff;
    padding: 0.5em;
    grid-template-columns: minmax(0, 1fr) max-content;
}

.name {
    font-weight: bold;
    font-size: 1.3em;
}

.name, .yomigana {
    color: #fff;
}

.yomigana {
    font-size: 1em;
}

.shop_category {
    background-color: #fff;
    color: #a01b1f;
    border-radius: 5px;
    font-size: 0.8em;
    font-weight: 700;
    padding: 0.2em 0.5em;
    margin-top: 0.5em;
    justify-self:self-start;
    width: fit-content;
}

.shop_labels {
    align-items: center;
    gap: .5rem;
    justify-content: flex-end;
    align-self: flex-start;
}

.hyakumeiten_icon img {
    height: 20px;
}

.shop_contentsD {
    display: block;
}

.shop_imagesD {
    display: none;
}

.js-girl_list {
    overflow: hidden;
}

.js-girl_list .girl_img_box {
    margin-bottom: 10px;
    z-index: 1;
    position: relative;
    display: flex;
    width: calc(100% - 10px);
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
}

.js-girl_list .girl_img_box:has(.girl_price) {
    padding-bottom: 22px;
}

.girl_img_box .girl_link {
    border: 2px solid transparent;
    border-radius: 10px;
    margin: 6px 6px 0 0px;
    background: #7d7e83;
    max-width: 29%;
    flex: 0 0 29%;
    display: inline-block;
    white-space: nowrap;
    position: relative;
    overflow: hidden;
    box-shadow: 0px 0px 3px #aaa;
    border-color: #aaa;
    aspect-ratio: 3 / 4;
}

.girl_img_box .girlsimg {
    object-fit: cover;
    height: 100%;
    width: 100%;
    border-radius: 8px;
}

.girl_img_box .girls_profile {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.6);
    text-align: center;
    padding-top: 30px;
    overflow: hidden;
    padding: inherit;
    border-radius: 8px;
}

.girl_img_box .girls_profile:before {
    position: absolute;
    top: 20px;
    right: 20px;
    bottom: 20px;
    left: 20px;
    content: "";
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.girl_img_box .girls_profile {
    opacity: 0;
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
}

.girl_img_box .girl_link:hover .girls_profile {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.girl_img_box .name {
    font-weight: bold;
}

.girl_img_box .name {
    font-size: 12px;
    /* ↓ 長い女の子名省略 @SC 2025/12/09 */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /* ↑ 長い女の子名省略 @SC 2025/12/09 */
}

.girl_img_box .girls_info {
    margin: auto;
    height: fit-content;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 7px;
    left: 7px;
}

.girl_img_box .girls_info > *{
    color: #e27fe8;
}

.contacts {
    width: 100%;
    padding: 0 1em;
    display: flex;
    gap: 0.5em;
    margin: 0.5em 0;
    box-sizing: border-box;
}

.contacts .contact {
    flex-basis: 0;
    flex-grow: 1;
    border-radius: 10px;
    display: flex;
    gap: 0.5em;
    justify-content: center;
    align-items: center;
    color: #fff;
}

#fixed_menu_fixed {
    display: flex !important;
}

.contacts .tel {
    background-color: #f8860a;
}

.contacts .multichat {
    background-color: #00bf63;
    font-size: 16px;
    font-weight: bold;
}

.icon_telbox, .icon_chat {
    height: 1em;
    vertical-align: middle;
}

.sns_icon {
    width: 100%;
    padding: 0 1em;
    display: flex;
    gap: 0.8em;
}

.sns_icon > * {
    width: 50px;
    height: 50px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    word-break: break-all;
    font-size: 0.8em;
    font-weight: 900;
}

.sns_icon > * > a {
    padding: 5px;
}

.sns_icon > .line, .sns_icon > .wechat, .sns_icon > .whatapp {
    color: #fff;
    background-color: #05c65c;
}

.sns_icon > .kakao {
    color: #3e2723;
    background-color: #ffeb3b;
}

.sns_icon > .mail {
    color: #fff;
    background-color: #0981fd;
}

.sns_icon > * > img {
    width: 80%;
    height: 80%;
}

.shop_info {
    padding: 6px 20px;
    display: flex;
    flex-direction: column;
    gap: 0.3em;
}

.shop_info .introduction_title {
    font-size: 16px;
    font-weight: 700;
}

.shop_info > p {
    font-size: 16px;
    color: #333333;
    font-weight: 400;
    display: flex;
    align-items: left;
    gap: 6px;
}

.shop_info .row {
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.shop_info .row > p > a, .shop_info .row > div {
    font-size: 11px;
    color: #a01b1f;
    font-weight: 700;
    display: flex;
    height: 25px;
    padding: 0 12px;
    gap: 6px;
    align-items: center;
    border: solid 1px #a01b1f;
    border-radius: 4px;
}

.review-icon, .attend_icon {
    filter: brightness(0) saturate(100%) invert(14%) sepia(38%) saturate(6093%) hue-rotate(345deg) brightness(100%) contrast(96%);
    height: 18px;
    margin-top: 2px;
}

.attend-skeleton {
    border: 1px solid #f0f0f0;
    border-radius: 4px;
    width: 140px;
    height: 25px;
    background: #d9d9d9;
    position: relative;
    overflow: hidden;
}

.attend-skeleton::before {
    content: '';
    display: block;
    height: 100%;
    width: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.5), transparent);
    position: absolute;
    top: 0;
    left: 0;
    animation: skeleton-animation 1.2s linear infinite;
}

@keyframes skeleton-animation {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(100%);
    }
}

.shop_info_detail > div {
    padding: 0.3em 0;
    display: flex;
    gap: 0.3em;
    flex-direction: column;
    font-size: 1em;
}

.shop_info_detail > div > p {
    color: #ccc;
}

.shop_info_detail > div:not(:first-child) {
    border-top: solid 1px #ccc;
}

.payment_methods_images {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em;
}

.payment_methods_images img {
    /* 支払い方法表示追加 @SC 2026/1/13 */
    border: 1px solid #aaa;
    border-radius: 6px;
    margin: 1px;
    padding: 1px;
    height: 25px; /* 20pxから25pxへ変更 */
     /* 支払い方法表示追加 @SC 2026/1/13 */
}

/* 店舗検索の女の子最低料金表示 */
.js-girl_list .girl_img_box .girl_link {
    overflow: visible;
}

.js-girl_list .girl_img_box .girl_link .girl_price {
    position: absolute;
    bottom: -25px;
    left: 50%;
    transform: translateX(-50%);
    font-weight: bold;
    border-bottom: 3px solid #ff7062;
    white-space: nowrap;
}

